/*
 * dldPredictor.cxx
 *
 */

#include "dldPredictor.h"

namespace dld
{
/************************** constructor ***********************************/
Predictor::Predictor()
{
	testFile = "";
	testPath = "";
}

/***************************** predict ***********************************/
void Predictor::predict(std::string model, std::string output)
{
	if (testFile != "")
	{
		std::string command = testPath + " " + testFile
				+ " " + model + " " + output;
		system(command.c_str());
	}
	else
		std::cerr << "Aborted: No training file given" << std::endl;
}

}

